<?php
/**
 * Deals Store functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Deals Store
 */


if ( ! function_exists( 'deals_store_setup' ) ) :
	function deals_store_setup() {

		load_theme_textdomain( 'deals-store', get_template_directory() . '/languages' );

		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'custom-background', apply_filters( 'deals_store_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));

		add_theme_support( 'block-nav-menus' );
		add_theme_support( 'experimental-link-color' );
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'deals-store' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'deals_store_setup' );

/**
 * Enqueue scripts and styles.
 */
function deals_store_scripts() {

	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array( 'dashicons' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	wp_enqueue_style( 'deals-store-style', get_stylesheet_uri(), $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );
	wp_style_add_data('deals-store', 'rtl', 'replace');

	$deals_store_enable_animations = get_option( 'deals_store_enable_animations', true );

    if ( $deals_store_enable_animations ) {
        //animation
		wp_enqueue_script( 'animate-js', get_theme_file_uri( '/js/animate.js' ), array( 'jquery' ), true );

		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
    }

	wp_enqueue_style( 'fontawesome-style', esc_url(get_template_directory_uri()).'/css/fontawesome/css/all.css' );

	wp_enqueue_style( 'animatecss', get_template_directory_uri() . '/css/animate.css');

	wp_enqueue_script( 'wow-script', get_template_directory_uri() . '/js/wow.js', array('jquery'));

	wp_enqueue_script('deals-store-main-script', get_template_directory_uri() . '/js/script.js', array('jquery'), true);

}
add_action( 'wp_enqueue_scripts', 'deals_store_scripts' );

/**
 * Enqueue admin scripts and styles.
 */
function deals_store_admin_scripts() {

	wp_enqueue_style(
		'deals-store-admin-css',
		get_template_directory_uri() . '/notice-getstart/theme-info.css',
		[],
		wp_get_theme()->get( 'Version' )
	);

	// Enqueue JS
	wp_enqueue_script(
		'deals-store-admin-js',
		get_template_directory_uri() . '/notice-getstart/theme-info.js',
		[],
		wp_get_theme()->get( 'Version' ),
		true // Load in footer
	);

}
add_action( 'admin_enqueue_scripts', 'deals_store_admin_scripts' );

/**
 * Load core file.
 */
require_once get_template_directory() . '/core/init.php';

/**
 * TGM
 */
require_once get_template_directory() . '/core/tgm/tgm.php';

/** 
 * Customizer
 */
require get_template_directory() . '/core/section-pro/customizer.php';

/** 
 * Animation
 */

require get_template_directory() . '/animation-setting.php';

/**
 * Current theme path.
 * Current theme url.
 * Current theme version.
 * Current theme name.
 * Current theme option name.
 */
define( 'DEALS_STORE_PATH', trailingslashit( get_template_directory() ) );
define( 'DEALS_STORE_URL', trailingslashit( get_template_directory_uri() ) );
define( 'DEALS_STORE_VERSION', '1.0.0' );
define( 'DEALS_STORE_THEME_NAME', 'deals-store' );
define( 'DEALS_STORE_OPTION_NAME', 'deals-store' );

/**
 * The core theme class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require DEALS_STORE_PATH . 'notice-getstart/main.php';

/**
 * TGM
 */
require_once get_template_directory() . '/core/tgm/tgm.php';

/**
 * Begins execution of the theme.
 *
 * @since    1.0.0
 */
function deals_store_run() {
	new Deals_Store();
}
deals_store_run();